<h1 mat-dialog-title>New Product</h1>
<mat-dialog-content>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Name</mat-label>
    <input matInput [formControl]="nameControl">
    <mat-hint>Enter name</mat-hint>
    <mat-error *ngIf="nameControl.invalid">You must enter a product name.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Description</mat-label>
    <textarea [(ngModel)]="description" matInput></textarea>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Price</mat-label>
    <input matInput type="number" min="1" [formControl]="priceControl">
    <mat-hint>Enter price in cent</mat-hint>
    <mat-error *ngIf="priceControl.invalid">You must enter a positive number.</mat-error>
  </mat-form-field>
  <div class="radio-group-container">
    <mat-radio-group class="radio-group" [(ngModel)]="categoryValue" (change)="showCategoryError = false" required>
      <mat-radio-button class="radio-button" value="DRINK">
        <app-product-category [category]="'DRINK'"></app-product-category>
      </mat-radio-button>
      <mat-radio-button class="radio-button" value="FOOD">
        <app-product-category [category]="'FOOD'"></app-product-category>
      </mat-radio-button>
      <mat-radio-button class="radio-button" value="MDSE">
        <app-product-category [category]="'MDSE'"></app-product-category>
      </mat-radio-button>
    </mat-radio-group>
    <mat-error *ngIf="showCategoryError">You must select a category.</mat-error>
  </div>
  <mat-divider></mat-divider>
  <section class="input-section">
    <mat-checkbox [(ngModel)]="enabled">Enabled</mat-checkbox>
    <mat-checkbox class="checkbox" [(ngModel)]="displayStatistics">Display Statistics</mat-checkbox>
  </section>
  <mat-divider class="input-section"></mat-divider>
  <section class="input-section">
    <mat-hint>Select an image file</mat-hint>
    <input type="file" class="formInput" (change)="handleFileInput($event)">
    <mat-error *ngIf="showFileError">You must upload an image file.</mat-error>
  </section>
  <div>
    <span class="image-label">Cropper</span><span class="image-label">New image</span>
    <image-cropper class="upload-image"
                   [imageChangedEvent]="imageChangedEvent"
                   [aspectRatio]="1 / 1"
                   [maintainAspectRatio]="true"
                   [resizeToWidth]="256"
                   [onlyScaleDown]="true"
                   [roundCropper]="false"
                   (imageCropped)="imageCropped($event)"
                   format="png"
    ></image-cropper>
    <img class="upload-image" [src]="croppedImage">
  </div>
  <mat-error *ngIf="showUploadError">Failed to upload image file. Please try again.</mat-error>
  <mat-error *ngIf="showInsertError">Creating new product failed. You might need to manually delete the uploaded image.</mat-error>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="onCancelClick()">CANCEL</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">CREATE</button>
</mat-dialog-actions>
